Index: trunk/lib/FlairCore/src/cvimage.h
===================================================================
--- trunk/lib/FlairCore/src/cvimage.h	(revision 2)
+++ trunk/lib/FlairCore/src/cvimage.h	(revision 15)
@@ -18,105 +18,106 @@
 #include <stdint.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class cvimage
-    *
-    * \brief Class defining an image of kind IplImage
-    *
-    * IplImage is an image struct defined in OpenCV.
-    *
+namespace flair {
+namespace core {
+/*! \class cvimage
+*
+* \brief Class defining an image of kind IplImage
+*
+* IplImage is an image struct defined in OpenCV.
+*
+*/
+class cvimage : public io_data {
+public:
+  class Type : public DataType {
+  public:
+    /*!
+    \enum Format_t
+    \brief Picture formats
     */
-    class cvimage: public io_data {
-    public:
-        class Type: public DataType {
-        public:
-            /*!
-            \enum Format_t
-            \brief Picture formats
-            */
-            enum class Format {
-                YUYV,/*!< YUYV 16 bits */
-                UYVY,/*!< UYVY 16 bits */
-                BGR,/*!< BGR 24 bits */
-                GRAY,/*!< gray 8 bits */
-            } ;
-            Type(uint16_t _width, uint16_t _height, Format _format):width(_width),height(_height),format(_format) {}
+    enum class Format {
+      YUYV, /*!< YUYV 16 bits */
+      UYVY, /*!< UYVY 16 bits */
+      BGR,  /*!< BGR 24 bits */
+      GRAY, /*!< gray 8 bits */
+    };
+    Type(uint16_t _width, uint16_t _height, Format _format)
+        : width(_width), height(_height), format(_format) {}
 
-            size_t GetSize() const {
-                size_t pixelSize;
-                switch(format) {
-                case Format::GRAY:
-                    pixelSize=1;
-                    break;
-                case Format::YUYV:
-                case Format::UYVY:
-                    pixelSize=2;
-                    break;
-                case Format::BGR:
-                    pixelSize=3;
-                    break;
-                default:
-                    pixelSize=0; //TODO should throw an exception instead
-                }
-                return pixelSize*width*height;
-            }
-            std::string GetDescription() const {return "cv image";};
+    size_t GetSize() const {
+      size_t pixelSize;
+      switch (format) {
+      case Format::GRAY:
+        pixelSize = 1;
+        break;
+      case Format::YUYV:
+      case Format::UYVY:
+        pixelSize = 2;
+        break;
+      case Format::BGR:
+        pixelSize = 3;
+        break;
+      default:
+        pixelSize = 0; // TODO should throw an exception instead
+      }
+      return pixelSize * width * height;
+    }
+    std::string GetDescription() const { return "cv image"; };
 
-            Format GetFormat() const {return format;};
-            uint16_t GetWidth() const {return width;};
-            uint16_t GetHeight() const {return height;};
+    Format GetFormat() const { return format; };
+    uint16_t GetWidth() const { return width; };
+    uint16_t GetHeight() const { return height; };
 
-        private:
-            uint16_t width;
-            uint16_t height;
-            Format format;
+  private:
+    uint16_t width;
+    uint16_t height;
+    Format format;
+  };
 
-        };
+  /*!
+  * \brief Constructor
+  *
+  * Construct an io_data representing an IplImage.
+  *
+  * \param parent parent
+  * \param width image width
+  * \param height image height
+  * \param name name
+  * \param allocate_data if true, IplImage image data is allocated; otherwise
+  *img->imagedata must be changed
+  * \param n number of samples
+  */
+  cvimage(const Object *parent, uint16_t width, uint16_t height,
+          Type::Format format, std::string name = "", bool allocate_data = true,
+          int n = 1);
 
-        /*!
-        * \brief Constructor
-        *
-        * Construct an io_data representing an IplImage.
-        *
-        * \param parent parent
-        * \param width image width
-        * \param height image height
-        * \param name name
-        * \param allocate_data if true, IplImage image data is allocated; otherwise img->imagedata must be changed
-        * \param n number of samples
-        */
-        cvimage(const Object* parent,uint16_t width,uint16_t height,Type::Format format,std::string name="",bool allocate_data=true,int n=1);
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~cvimage();
 
-        /*!
-        * \brief Destructor
-        *
-        */
-        ~cvimage();
+  /*!
+  * \brief IplImage
+  *
+  * \return IplImage
+  */
+  IplImage *img;
 
-        /*!
-        * \brief IplImage
-        *
-        * \return IplImage
-        */
-        IplImage* img;
+  Type const &GetDataType() const { return dataType; };
 
-        Type const&GetDataType() const {return dataType;};
+private:
+  /*!
+  * \brief Copy datas
+  *
+  * Reimplemented from io_data. \n
+  * See io_data::CopyDatas.
+  *
+  * \param dst destination buffer
+  */
+  void CopyDatas(char *dst) const;
 
-    private:
-        /*!
-        * \brief Copy datas
-        *
-        * Reimplemented from io_data. \n
-        * See io_data::CopyDatas.
-        *
-        * \param dst destination buffer
-        */
-        void CopyDatas(char* dst) const;
-
-        bool allocate_data;
-        Type dataType;
-    };
+  bool allocate_data;
+  Type dataType;
+};
 
 } // end namespace core
